Name:    python-rhsm
Version: 1.9.6
Release: 2
Summary: A Python library to communicate with a Red Hat Unified Entitlement Platform
Group:   System/Libraries
License: GPLv2
# How to create the source tarball:
#
# git clone git://git.fedorahosted.org/git/python-rhsm.git/
# cd client/python-rhsm
# tito build --tag python-rhsm-$VERSION-$RELEASE --tgz
Source0:  %{name}-%{version}.tar.gz
Patch0:   python-rhsm-1.9.6-fix-linkage.patch
URL:      http://fedorahosted.org/candlepin

Requires: python-m2crypto
Requires: python-simplejson
Requires: python-iniparse
Requires: python-rpm

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: openssl-devel

%description
A small library for communicating with the REST interface of a Red Hat Unified
Entitlement Platform. This interface is used for the management of system
entitlements, certificates, and access to content.

%prep
%setup -q -n python-rhsm-%{version}
%patch0 -p1

%build
export LDFLAGS="-lcrypto"
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/rhsm/ca
install etc-conf/ca/*.pem %{buildroot}%{_sysconfdir}/rhsm/ca

%clean

%files
%doc README

%dir %{python_sitearch}/rhsm
%attr(755,root,root) %dir %{_sysconfdir}/rhsm
%attr(755,root,root) %dir %{_sysconfdir}/rhsm/ca

%{python_sitearch}/rhsm/*
%{python_sitearch}/rhsm-*.egg-info
%attr(640,root,root) %{_sysconfdir}/rhsm/ca/*.pem


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.9.6-2
+ Revision: b3501c5
- MassBuild#440: Increase release tag


